<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>ListTagBuilder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ListTagBuilder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/LongArrayTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/ListTagBuilder.html" target="_top">Frames</a></li>
<li><a href="ListTagBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.jnbt</div>
<h2 title="Class ListTagBuilder" class="title">Class ListTagBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.jnbt.ListTagBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ListTagBuilder</span>
extends java.lang.Object</pre>
<div class="block">Helps create list tags.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html#add-com.sk89q.jnbt.Tag-">add</a></span>(<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&nbsp;value)</code>
<div class="block">Add the given tag.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html#addAll-java.util.Collection-">addAll</a></span>(java.util.Collection&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</code>
<div class="block">Add all the tags in the given list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html#build--">build</a></span>()</code>
<div class="block">Build an unnamed list tag with this builder's entries.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html#create-java.lang.Class-">create</a></span>(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;type)</code>
<div class="block">Create a new builder instance.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/ListTagBuilder.html#createWith-com.sk89q.jnbt.Tag...-">createWith</a></span>(<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>...&nbsp;entries)</code>
<div class="block">Create a new builder instance.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="add-com.sk89q.jnbt.Tag-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a>&nbsp;add(<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&nbsp;value)</pre>
<div class="block">Add the given tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the tag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="addAll-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a>&nbsp;addAll(java.util.Collection&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</pre>
<div class="block">Add all the tags in the given list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - a list of tags</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a>&nbsp;build()</pre>
<div class="block">Build an unnamed list tag with this builder's entries.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new list tag</dd>
</dl>
</li>
</ul>
<a name="create-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;<a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a>&nbsp;create(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;type)</pre>
<div class="block">Create a new builder instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new builder</dd>
</dl>
</li>
</ul>
<a name="createWith-com.sk89q.jnbt.Tag...-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createWith</h4>
<pre>public static&nbsp;<a href="../../../com/sk89q/jnbt/ListTagBuilder.html" title="class in com.sk89q.jnbt">ListTagBuilder</a>&nbsp;createWith(<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>...&nbsp;entries)</pre>
<div class="block">Create a new builder instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new builder</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/LongArrayTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/ListTagBuilder.html" target="_top">Frames</a></li>
<li><a href="ListTagBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
